View Issue Details

IDProjectCategoryView StatusLast Update
0000487Ham Radio DeluxeEnhancementpublic2017-05-23 15:23
ReporterWA9PIE 
Assigned ToW4PC 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.453 
Summary0000487: STFU: Eliminate hard-coding of US States and Zones in awards
DescriptionBecause the US States and Zones are hard-coded, we are prevented from using the same fields for creating other awards that refer to "secondary administrative areas" (in Canada, Provinces... in Russia, Oblasts... in Japan, Guns... and so on).

Once we have eliminated the hard-coding, I can recreate the WAS and Zones award.

(ITU Zones is currently wrong because of an inaccurate total.)
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
Testing

Relationships

Activities

WA9PIE

2015-10-12 14:38

administrator   ~0000643

NOTE: Users should have a choice between using hard-coded States (current method) or using a custom list of States. This will enable us to get over the "DC ain't a State" thing that was fixed by hard-coding them.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 22:09 WA9PIE Project @5@ => @6@
2014-02-02 10:03 WA9PIE Release => (select)
2014-02-02 10:03 WA9PIE Module => (select)
2014-02-02 10:03 WA9PIE Sub-Module => (select)
2014-02-02 10:03 WA9PIE Report Build => (select)
2014-02-02 10:03 WA9PIE Summary Eliminate hard-coding of US States and Zones in awards => Enhancement: Eliminate hard-coding of US States and Zones in awards
2014-02-02 10:08 WA9PIE Status new => confirmed
2014-03-18 22:46 WA9PIE Project @6@ => 2 - Next Dev List (Holding Area)
2014-05-27 14:40 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2014-09-09 15:28 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2015-09-17 13:02 WA9PIE Module (select) => Logbook
2015-09-17 13:40 WA9PIE Category Logbook => Enhancement
2015-09-22 23:27 WA9PIE Fix Build => (select)
2015-09-22 23:27 WA9PIE Proposed Release => TBD
2015-09-22 23:27 WA9PIE Summary Enhancement: Eliminate hard-coding of US States and Zones in awards => Eliminate hard-coding of US States and Zones in awards
2015-10-01 15:05 WA9PIE Summary Eliminate hard-coding of US States and Zones in awards => STFU: Eliminate hard-coding of US States and Zones in awards
2015-10-12 14:38 WA9PIE Note Added: 0000643
2015-10-12 18:04 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2015-11-21 23:52 W4PC Sub-Module (select) => Awards
2015-11-21 23:52 W4PC Reported in Release (select) => 6.2
2015-11-21 23:52 W4PC Reported in Build (ie. 377) (select) => 350
2015-11-21 23:52 W4PC Fixed in Release TBD => 6.3
2015-11-21 23:52 W4PC Fixed in Build (ie. 377) (select) => 450
2015-11-21 23:52 W4PC Status confirmed => closed
2015-11-21 23:52 W4PC Assigned To => W4PC
2015-11-21 23:52 W4PC Resolution open => fixed
2015-11-22 00:07 WA9PIE Issue cloned: 0001828
2017-03-08 19:01 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-22 00:04 WA9PIE Fixed in Version => 6.3.0.453
2017-05-23 15:23 WA9PIE Severity minor => feature